part of tecfy_core_client_package;

class PropertyOneToMany extends Property {
  late String propertyName;
  late String entityName;

  PropertyOneToMany.fromMap(Map<String, dynamic> row) : super.fromMap(row) {
    propertyName = lowerFirst(row['propertyName']) ?? '';
    entityName = lowerFirst(row['entityName']) ?? '';
  }
  @override
  OperationResult isValid(data) {
    if (!super.isValid(data).success) return super.isValid(data);

    return OperationResult(success: true);
  }

  /// get the value and bind tp display widget
  Widget getDisplayWidget(Map<String, dynamic> data, {TextStyle? textStyle}) {
    return Text('OneToMany');
  }

  /// get the value in text
  String getDisplayText(Map<String, dynamic> data) {
    return '';
  }

  Future<bool> getDefaultValue(Map<String, dynamic> data) async {
    if (data[dbName] != null) return false;

    return false;
  }
}
